# export LD_LIBRARY_PATH=/home/superbench/anaconda3/envs/sglang/lib/python3.10/site-packages/nvidia/nvjitlink/lib:$LD_LIBRARY_PATH


from sglang.test.test_utils import is_in_ci

if is_in_ci():
    from patch import launch_server_cmd
else:
    from sglang.utils import launch_server_cmd

from sglang.utils import wait_for_server, print_highlight, terminate_process


server_process, port = launch_server_cmd(
    "python -m sglang.launch_server --model-path Qwen/Qwen2.5-Coder-32B-Instruct --host 0.0.0.0"
)

wait_for_server(f"http://localhost:{port}")
print(f"Server started on http://localhost:{port}")


# python -m sglang.launch_server --model-path Qwen/Qwen2.5-Coder-14B-Instruct --dp 8 --tp 1 --host 0.0.0.0 --port 30000


# /mnt/haoling/qwen7_syn80k_bsz128_lr5e5_ep3_ckpt1869_29